<script lang="ts" setup>
import API from '@/scripts/api'
import { reactive } from 'vue'

const state = reactive({
  loading: false
})

function login() {
  state.loading = true
  API.tequilaRequest().catch(() => {
    state.loading = false
  })
}

</script>

<template>
  <div class="h-full flex flex-col justify-between px-3 max-w-lg mx-auto lg:max-h-96">
    <div>
      <div class="text-2xl font-bold mb-1">Bienvenue sur AGEVoté !</div>
      <div class="font-italic text-sm ml-3 mb-3">le nouveau système de vote de l'AGEPoly</div>
    </div>

    <div class="flex justify-center">
      <div>
        <v-img src="@/assets/agevote-logo-round.png" width="150"/>
      </div>
    </div>

    <div class="flex flex-col justify-between mb-3">
      <v-btn color="primary" size="x-large" variant="flat" class="mb-2" @click="login">
        <v-icon icon="mdi-login" size="large" start />
        Connexion
      </v-btn>

      <v-btn :to="{name: 'info'}" variant="text" :loading="state.loading">
        <v-icon icon="mdi-text" size="large" start />
        Plus d'information
      </v-btn>
    </div>
  </div>
</template>
